# SmiCoreCombineAdd Class Reference

`#include <SmiCoreCombineRule.hpp>`

Inheritance diagram for SmiCoreCombineAdd:
[legend]
Collaboration diagram for SmiCoreCombineAdd:
[legend]

List of all members.

## Public Member Functions
virtual void | Process (double *d1, int o1, const CoinPackedVector &cpv2, char *type=0)
| Process.
virtual void | Process (double *d1, int o1, const int len, const int *inds, const double *dels, char *type=0)
| Process.
virtual CoinPackedVector * | Process (CoinPackedVector *cpv1, CoinPackedVector *cpv2, char *type=0)
| Process.
virtual int | Process (double *dr, const int dr_len, CoinPackedVector *cpv, double *dels, int *indx)
| Process.
virtual int | Process (double *dr, const int dr_len, const int nels, const int *cpv_ind, const double *cpv_els, double *dels, int *indx)
| Process.
## Static Public Member Functions
static SmiCoreCombineAdd * | Instance ()
static void | ClearInstance ()
## Protected Member Functions
| SmiCoreCombineAdd ()
## Static Private Attributes
static SmiCoreCombineAdd * | _instance

## Detailed Description

Definition at line 75 of file SmiCoreCombineRule.hpp.

## Constructor & Destructor Documentation

SmiCoreCombineAdd::SmiCoreCombineAdd | ( |  | ) | `[inline, protected]`

Definition at line 86 of file SmiCoreCombineRule.hpp.

## Member Function Documentation

static SmiCoreCombineAdd* SmiCoreCombineAdd::Instance | ( |  | ) | `[static]`

static void SmiCoreCombineAdd::ClearInstance | ( |  | ) | `[static]`

virtual void SmiCoreCombineAdd::Process | ( | double * | d1,
|  | int | o1,
|  | const CoinPackedVector & | cpv2,
|  | char * | type = `0` |
| ) |  |  | `[virtual]`

Process.

Implements SmiCoreCombineRule.

virtual void SmiCoreCombineAdd::Process | ( | double * | d1,
|  | int | o1,
|  | const int | len,
|  | const int * | inds,
|  | const double * | dels,
|  | char * | type = `0` |
| ) |  |  | `[virtual]`

Process.

Implements SmiCoreCombineRule.

virtual CoinPackedVector* SmiCoreCombineAdd::Process | ( | CoinPackedVector * | cpv1,
|  | CoinPackedVector * | cpv2,
|  | char * | type = `0` |
| ) |  |  | `[virtual]`

Process.

Implements SmiCoreCombineRule.

virtual int SmiCoreCombineAdd::Process | ( | double * | dr,
|  | const int | dr_len,
|  | CoinPackedVector * | cpv,
|  | double * | dels,
|  | int * | indx |
| ) |  |  | `[virtual]`

Process.

Implements SmiCoreCombineRule.

virtual int SmiCoreCombineAdd::Process | ( | double * | dr,
|  | const int | dr_len,
|  | const int | cpv_nels,
|  | const int * | cpv_ind,
|  | const double * | cpv_els,
|  | double * | dels,
|  | int * | indx |
| ) |  |  | `[virtual]`

Process.

Implements SmiCoreCombineRule.

## Member Data Documentation

SmiCoreCombineAdd* SmiCoreCombineAdd::_instance`[static, private]`

Definition at line 88 of file SmiCoreCombineRule.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/Smi/src/SmiCoreCombineRule.hpp